Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.simlogic
Class SimLogicBase

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.simlogic.SimLogicBase

    public class SimLogicBase

extends Object

Provides some basic methods for implementing the `SimLogic` interface. This class encapsulates a boolean variable indicating if the simulation was aborted by some thread as well as a list of observers notified at each simulation step.

Constructor Summary
`SimLogicBase()`

Method Summary
`void` | `addSimLogicListener(SimLogicListener l)`
`void` | `clearSimLogicListeners()`
`List<SimLogicListener>` | `getSimLogicListeners()`
`boolean` | `isAborted()`
`boolean` | `isVerbose()`
`void` | `removeSimLogicListener(SimLogicListener l)`
`void` | `setAborted(boolean aborted)`
`void` | `setVerbose(boolean verbose)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimLogicBase

    public SimLogicBase()

Method Detail

### isAborted

    public boolean isAborted()

### setAborted

    public void setAborted(boolean aborted)

### isVerbose

    public boolean isVerbose()

### setVerbose

    public void setVerbose(boolean verbose)

### addSimLogicListener

    public void addSimLogicListener(SimLogicListener l)

### clearSimLogicListeners

    public void clearSimLogicListeners()

### getSimLogicListeners

    public List<SimLogicListener> getSimLogicListeners()

### removeSimLogicListener

    public void removeSimLogicListener(SimLogicListener l)

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.